### 4.4 Deprecated Options

These options have been replaced with newer versions that use symspecs.

`-e` function_name
  The ``-e function`' option tells `gprof` to not print information about the function function_name (and its children...) in the call graph. The function will still be listed as a child of any functions that call it, but its index number will be shown as ``[not printed]`'. More than one ``-e`' option may be given; only one function_name may be indicated with each ``-e`' option.
`-E` function_name
  The `-E` function option works like the `-e` option, but time spent in the function (and children who were not called from anywhere else), will not be used to compute the percentages-of-time for the call graph. More than one ``-E`' option may be given; only one function_name may be indicated with each ``-E`' option.
`-f` function_name
  The ``-f function`' option causes `gprof` to limit the call graph to the function function_name and its children (and their children...). More than one ``-f`' option may be given; only one function_name may be indicated with each ``-f`' option.
`-F` function_name
  The ``-F function`' option works like the `-f` option, but only time spent in the function and its children (and their children...) will be used to determine total-time and percentages-of-time for the call graph. More than one ``-F`' option may be given; only one function_name may be indicated with each ``-F`' option. The ``-F`' option overrides the ``-E`' option.

Note that only one function can be specified with each `-e`, `-E`, `-f` or `-F` option. To specify more than one function, use multiple options. For example, this command:

         gprof -e boring -f foo -f bar myprogram > gprof.output

lists in the call graph all functions that were reached from either `foo` or `bar` and were not reachable from `boring`.